I think this problem is more ettercap related than BT because the same thing happened to me when I tried to install ettercap on Debian Squeeze 64bit. It doesn't work on BT5 GNOME 64 bit either. I believe that `ettercap -g` is not really supported by GNOM 64 bit envs.